Robotsystem from Robot Group Leipzig: dinvert3channelcontroller.hpp File Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- File List
- File Members

# dinvert3channelcontroller.hpp File Reference

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions
double ** | allocateMatrix (int m, int n)
void | freeMatrix (double **mat, int m)
virtual constparamkey | getName () const
| return the name of the object (with version number)
virtual void | init (int sensornumber, int motornumber)
| DInvert3ChannelController (int numberchannels, int buffersize)
virtual void | step (const sensor *x_, int sensornumber, motor *y_, int motornumber)
| performs one step (includes learning). Calulates motor commands from sensor inputs.
virtual void | stepNoLearning (const sensor *x_, int sensornumber, motor *y_, int motornumber)
| performs one step without learning. Calulates motor commands from sensor inputs.
virtual int | getInternalParamNames (paramkey *&keylist)
virtual int | getInternalParams (paramval *vallist, int length)
virtual void | inverseMatrix (double **Q, double **Q_1)
virtual double | calculateE (const double *x_, const double *x_delay, const double *y_delay)
virtual void | learn (const double *x_, const double *x_delay, const double *y_delay)
virtual void | learnModel (const double *x_actual, double *y_effective)
virtual void | calculateDelayedValues (double **source, paramval number_steps_of_delay_, double *target)
| calculate delayed values
virtual void | calculateSmoothValues (double **source, paramval number_steps_for_averaging_, double *target)
virtual void | calculateControllerValues (double *x_smooth, double *y)
| calculate controller ouptus
virtual void | putInBuffer (double **buffer, const double *values)

## Function Documentation

double** allocateMatrix | ( | int | m,
|  | int | n
| ) |

| Definition at line 2 of file dinvert3channelcontroller.hpp.

virtual void calculateControllerValues | ( | double * | x_smooth,
|  | double * | y
| ) | `[protected, virtual]`

| calculate controller ouptus Definition at line 401 of file dinvert3channelcontroller.hpp.

virtual void calculateDelayedValues | ( | double ** | source,
|  | paramval | number_steps_of_delay_,
|  | double * | target
| ) | `[protected, virtual]`

| calculate delayed values Definition at line 370 of file dinvert3channelcontroller.hpp.

virtual double calculateE | ( | const double * | x_,
|  | const double * | x_delay,
|  | const double * | y_delay
| ) | `[protected, virtual]`

| Definition at line 216 of file dinvert3channelcontroller.hpp.

virtual void calculateSmoothValues | ( | double ** | source,
|  | paramval | number_steps_for_averaging_,
|  | double * | target
| ) | `[protected, virtual]`

| Definition at line 383 of file dinvert3channelcontroller.hpp.

DInvert3ChannelController | ( | int | numberchannels,
|  | int | buffersize
| ) |

| Definition at line 31 of file dinvert3channelcontroller.hpp.

void freeMatrix | ( | double ** | mat,
|  | int | m
| ) |

| Definition at line 10 of file dinvert3channelcontroller.hpp.

virtual int getInternalParamNames | ( | paramkey *& | keylist | ) | `[virtual]`

| Definition at line 165 of file dinvert3channelcontroller.hpp.

virtual int getInternalParams | ( | paramval * | vallist,
|  | int | length
| ) | `[virtual]`

| Definition at line 169 of file dinvert3channelcontroller.hpp.

virtual constparamkey getName | ( |  | ) | const`[virtual]`

| return the name of the object (with version number) Definition at line 21 of file dinvert3channelcontroller.hpp.

virtual void init | ( | int | sensornumber,
|  | int | motornumber
| ) | `[virtual]`

| Definition at line 26 of file dinvert3channelcontroller.hpp.

virtual void inverseMatrix | ( | double ** | Q,
|  | double ** | Q_1
| ) | `[protected, virtual]`

| Definition at line 175 of file dinvert3channelcontroller.hpp.

virtual void learn | ( | const double * | x_,
|  | const double * | x_delay,
|  | const double * | y_delay
| ) | `[protected, virtual]`

| Definition at line 301 of file dinvert3channelcontroller.hpp.

virtual void learnModel | ( | const double * | x_actual,
|  | double * | y_effective
| ) | `[protected, virtual]`

| Definition at line 341 of file dinvert3channelcontroller.hpp.

virtual void putInBuffer | ( | double ** | buffer,
|  | const double * | values
| ) | `[protected, virtual]`

| Definition at line 418 of file dinvert3channelcontroller.hpp.

virtual void step | ( | const sensor * | x_,
|  | int | sensornumber,
|  | motor * | y_,
|  | int | motornumber
| ) | `[virtual]`

| performs one step (includes learning). Calulates motor commands from sensor inputs. Definition at line 106 of file dinvert3channelcontroller.hpp.

virtual void stepNoLearning | ( | const sensor * | x_,
|  | int | sensornumber,
|  | motor * | y_,
|  | int | motornumber
| ) | `[virtual]`

| performs one step without learning. Calulates motor commands from sensor inputs. Definition at line 142 of file dinvert3channelcontroller.hpp.